#include "xmaterialvertexshader.h"
#include "xmaterialvertexshaderprogram.h"

XMaterialVertexShader::XMaterialVertexShader()
    : XAsset()
    , mName()
    , mProgram()
{
    SetName("Material Vertex Shader");
}

void XMaterialVertexShader::Clear()
{
    
}

void XMaterialVertexShader::ParseData(XDataStream *aStream)
{
    if (GetPtr() == -1)
    {
        if (IsDebug())
        {
            qDebug() << QString("[%1] Parsing data for %2").arg(aStream->device()->pos(), 10, 10, QChar('0')).arg(GetName());
        }
        mName.ParsePtr(aStream, false);
        mProgram.ParseData(aStream);

        mName.ParseData(aStream);
        mProgram.ParseData(aStream);
    }
}
